package com.bocloud.cmp.model.hmc.pcm;

import com.alibaba.fastjson.JSON;

public class PcmServer {
    private PcmProcessor processor;
    private PcmMemory memory;
    private PcmStorage storage;

    public PcmProcessor getProcessor() {
        return processor;
    }

    public void setProcessor(PcmProcessor processor) {
        this.processor = processor;
    }

    public PcmMemory getMemory() {
        return memory;
    }

    public void setMemory(PcmMemory memory) {
        this.memory = memory;
    }

    public PcmStorage getStorage() {
        return storage;
    }

    public void setStorage(PcmStorage storage) {
        this.storage = storage;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
